Upstream information

CVE-2020-28851 at MITRE

Description

In x/text in Go 1.15.4, an "index out of range" panic occurs in language.ParseAcceptLanguage while parsing the -u- extension. (x/text/language is supposed to be able to parse an HTTP Accept-Language header.)

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1181051 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 go1.14 Not affected
SUSE CaaS Platform 4.0 go1.15 Not affected
SUSE Enterprise Storage 6 go1.14 Not affected
SUSE Enterprise Storage 6 go1.15 Not affected
SUSE Enterprise Storage 7 go1.14 Not affected
SUSE Enterprise Storage 7 go1.15 Not affected
SUSE Linux Enterprise Desktop 15 SP1 go1.14 Not affected
SUSE Linux Enterprise Desktop 15 SP1 go1.15 Not affected
SUSE Linux Enterprise Desktop 15 SP2 go1.14 Not affected
SUSE Linux Enterprise Desktop 15 SP2 go1.15 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 go1.14 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 go1.15 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS go1.14 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS go1.15 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 go1.14 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 go1.15 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 go1.14 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 go1.15 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.14 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.15 Not affected
SUSE Linux Enterprise Server 15 SP1 go1.14 Not affected
SUSE Linux Enterprise Server 15 SP1 go1.15 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS go1.14 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS go1.15 Not affected
SUSE Linux Enterprise Server 15 SP2 go1.14 Not affected
SUSE Linux Enterprise Server 15 SP2 go1.15 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 go1.14 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 go1.15 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 go1.14 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 go1.15 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 go1.14 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 go1.15 Not affected
SUSE Manager Proxy 4.0 go1.14 Not affected
SUSE Manager Proxy 4.0 go1.15 Not affected
SUSE Manager Proxy 4.1 go1.14 Not affected
SUSE Manager Proxy 4.1 go1.15 Not affected
SUSE Manager Retail Branch Server 4.0 go1.14 Not affected
SUSE Manager Retail Branch Server 4.0 go1.15 Not affected
SUSE Manager Retail Branch Server 4.1 go1.14 Not affected
SUSE Manager Retail Branch Server 4.1 go1.15 Not affected
SUSE Manager Server 4.0 go1.14 Not affected
SUSE Manager Server 4.0 go1.15 Not affected
SUSE Manager Server 4.1 go1.14 Not affected
SUSE Manager Server 4.1 go1.15 Not affected


SUSE Timeline for this CVE

CVE page created: Sat Jan 2 18:40:12 2021
CVE page last modified: Fri Nov 25 17:48:42 2022